string = input()
'''
0. Имена переменных и функций
    Переменным назначаются имена, отражающие их смысл, ! и не являющиеся транслитерацией русских слов
    Так же принято не называть переменные и функции с большой буквы
    Если имя переменной или функции содержит несколько слов, их принято разбивать нижним подчеркиванием, например:
    draw_circle, string_count и др.
'''
print(string[1::2], string[-2::-1], sep='')  # в данных случаях ни двоеточия, ни знак равенства, пробелами не окружаются

'''
4. Отрицательные индексы
    Python допускает отрицательные индексы
    Чаще всего из них используется -1-й (он же последний) элемент; элемент номер -i - это i-й элемент к конца

5. Срезы
    Как и массивы, объекты строкового типа тоже имеют срезы
    Срез может характеризоваться от 1 до 3 параметрами - стартовый индекс, конечный индекс, и шаг среза
    В срез войдут все элементы, идущие с данным шагом от стартового включительно до конечного исключительно
    Вместо индекса может не стоять ничего, если подразумевается первый\последний элемент строки\массива (см. выше)
    Шаг не указывается, когда подразумевается единичный шаг среза
    
6. Параметры по умолчанию
    Многие функции имеют параметры по умолчанию 
    Их список и стандартные значения можно посмотреть, например, используя среду PyCharm и сочетание Ctrl+LeftClick
    Обычно, процедура print() печатает строковые представления всех параметров через пробел с переносом строки в конце
    Переопределение параметра sep позволяет напечатать два параметра подряд, без разделителя
'''

# Решение:
# Воспользуемся тем, что мы знаем о range'ах и срезах. Нам надо вывести символы данной строки в определенном порядке
# Первая часть - каждый второй символ, начиная с первого, вторая - все, кроме последнего, в обратном порядке
# Таким образом, достаточно дважды пробежаться в цикле по строке,
#   в первый раз взяв i in range(1, len(string), 2) - все четные позиции
#   во второй раз - i in range(len(string) - 2, -1, -1) - все, кроме последней, в обратном порядке
# В каждом цикле, выводя i-й элемент, не забыв изменить параметр end функции print(), мы получаем верный ответ
# Вспомнив, что срезы имеют схожую с range'м структуру, можно упростить программу, убрав циклы и оставив только ответ
# (смотри выше)
