n = int(input())

div = 2
res = []
'''
7. if и while
    В python условия не окружаются скобками
    Конструкции условного оператора и оператора цикла заканчиваются двоеточием
    Их тело распологается на 4 пробела правее их отступа
'''
while div * div <= n:
    while n % div == 0:
        '''
        8. Методы
            Методы - это процедуры или функции, принадлежащие определенному типу данных
            Так у массивов есть метод append, добавляющий свой параметр в конец массива
            В общем случае вызов метода выглядит как
                - объект.метод(параметры)
                или
                - тип\класс.метод(объект, параметры)
            Так, строки
                -array.sort()
                и
                -list.sort(array)
            эквивалентны
        '''
        res.append(div)
        n //= div
        '''
        9. Короткие арифметические действия
            Операцию вида x = x ? a в большей части случаев можно заменить на x ?= a
            Такие операторы тоже окружаются пробелами
        '''

    div = 3 if div == 2 else div + 2
    '''
    10. Тернарный оператор
        Некоторым, возможно, знаком из других языков
        Имеет структуру (условие ? значение : значение)
        В python выглядит как 
            переменная = значение1 if условие else значение2
        При выполнении условия, переменной присваивается первое значение, иначе - второе
    '''

if n > 1:
    res.append(n)
# допустимы пустые строки, разделяющие программу на логичские части
print(res)

# В этой задаче требовалось разложить число на простые сомножители
# Многие из тех, кто придумал алгоритм линейного перебора, не смогли его сдать из-за ограничения по времени
# Дело в том, что перебор всех, или даже половины всех целых чисел от 1 до n с ограничением на n < 10^10,
# работает очень долго даже на быстрых языках
# Для решения этой задачи следовало применить идею о том, что если у числа n есть простой делитель a такой,
# что a >= sqrt(n), или, по-другому, a^2 >= n, тогда все остальные его простые делители <= sqrt(n), так как если есть
# больше корня из n, то вместе они дают произведение больше n - противоречие

# Таким образом, если перебрать все делители от 1 до sqrt(n) и поделить n на них, в конце n будет либо 1, тогда ответ
# уже есть, либо тем самым наибольшим простым делителем, тогда мы добавляем его в ответ
# Надо только доказать, что все найденные числа в нашем разложении будут простыми
# Но если бы там было не простое число, оно бы раскладывалось на меньшие, и значит мы бы поделили n на них еще раньше
# К примеру, для n = 12, число 6 точно не окажетка в наборе, потому как 2 и 3 мы уже до этого перебрали

# Чтобы еще ускорить работу, можно заметить, что кроме двойки достаточно перебирать только нечетные делители
# Это ускоряет программу примерно в 2 раза
