s = list(map(int, input().split()))
'''
11. Функции-параметры и 12. map
    Python позволяет передавать функции в качестве параметров для других функций
    map принимает функцию и итерируемый объект и применяет эту функцию к какждому подобъекту этого объекта
    Здесь int - функция int(), преобразующая объект к целочисленному типу
    А .split() - вызов метода split() строкового объекта, разбивающая строку по пробельным символам
    
    Таким образом, 
        - input() считывает строку
        - input().split() - массив строк, между которыми в исходной строке были пробелы
        - map(int, input().split()) - объект "map", состотящий из чисел, между которыми в исходной строке были пробелы
        - list(map(int, input().split())) - массив этих чисел
'''
q = list(map(int, input().split()))

first = 0
res = []
'''
13. Цикл for и range()
    Цикл for позволяет пробежать переменной все значения в каком-то итерируемом объекте
    range() - один из таких объектов
    Он принимает от 1 до 3 параметров - начало (включительно), конец (исключительно) и шаг итератора
    По умолчанию шаг равен 1, а начало равно 0
'''
for i in range(len(q) + 1):
    last = len(s) if i == len(q) else q[i]  # уже знакомый тернарный оператор
    res += s[first:last][::-1]  # срез [::-1] разворачивает строку\массив
    first = last

print(' '.join(list(map(str, res[::-1]))))

'''
14. Вывод массивов и join
    print(res), если res - массив, выведет его в виде [e1, e2, ..], где e1, e2, .. - его элементы
    Для быстрого и красивого вывода используется метод join у строк
    Будучи вызванным у строковго объекта, он принимает параметром массив !строк, и выводит строку,
    являющюся конкатенацией строк этого массива со строкой, от которой он вызван, между ними
        
    Здесь при помощи map'а мы преобразуем массив чисел в массив строк, и затем объединяем их через пробел с помощью join
'''

# Считаем два массива из входных данных
# Заметим, что частей, на которые перегородки разбивают колоду, на 1 больше, чем самих перегородок
# Каждая ограничена своими началом и концом
# Заведем переменную first - первая карта, которую мы еще не обработали - изначально она имеет индекс 0
# Пройдемся по всем частям, на которые поделилась колода - первая ограничена first и первой перегородкой
# Запишем в массив res (result) перевернутую эту часть
# Теперь первая необработанная карта имеет позицию как у первой перегородки, и мы обновляем first

# Отдельно надо обработать последнюю чать, ее конец - не перегородка, а конец колоды
# Для этого мы и делаем проверку i == len(q) в начале цикла
# Осталось только вывести колоду, сначала развернув ее, так как мы сохраняли части в противоположном порядке
